Bug 49559 - request "super class or implemented interface" in create new class
request "super class or implemented interface" in create new class
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
4.x
All All
: P3 with 1 vote (vote)
: 7.2
Assigned To: Dusan Balek
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-25 06:54 UTC by pzgyuanf
Modified: 2011-12-02 16:43 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pzgyuanf 2004-09-25 06:54:15 UTC
may optionally specify "super class or implemented
interface" in create new class.
more useful for create a user excepton class.
Comment 1 bakksjo 2005-12-09 13:14:43 UTC
Should not be either-or; when creating a new class, should be possible to choose
both the super class AND what interfaces the class implements.

Would be nice also if there was easy access to "frequently used
interfaces/classes" in that wizard - e.g. Thread, Runnable, Exception etc.
Comment 2 bakksjo 2005-12-09 13:23:15 UTC
Should not be either-or; when creating a new class, should be possible to choose
both the super class AND what interfaces the class implements.

Would be nice also if there was easy access to "frequently used
interfaces/classes" in that wizard - e.g. Thread, Runnable, Exception etc.
Comment 3 arungupta 2011-11-16 21:33:17 UTC
Should be able to point to an interface and say generate an implementing class. Similarly, point to an abstract class and say extend this class. And then all the methods should be generated in the implementing class.
Comment 4 Dusan Balek 2011-12-01 14:36:34 UTC
Possibility to specify a super class and interfaces has been removed from the New Java Class wizard a couple of years ago and there are no plans to return it back. It should be easier to type the necessary information later in the editor (with the help of code completion, etc.) than fill it in the dialog.

Create Subclass editor hint implemented.

http://hg.netbeans.org/jet-main/rev/63c447290bb2
Comment 5 Quality Engineering 2011-12-02 16:43:00 UTC
Integrated into 'main-golden', will be available in build *201112021026* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/63c447290bb2
User: Dusan Balek <dbalek@netbeans.org>
Log: CreateSubclass hint added (see issue #49559).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo